SQL-инъекция в WordPress WP Bannerize

Дата публикации:
30.09.2011
Дата изменения:
27.10.2011
Всего просмотров:
1537
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress WP Bannerize Plugin 2.x
Уязвимые версии: WordPress WP Bannerize 2.8.7, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "item[]" в сценарии wp-content/plugins/wp-bannerize/ajax_sorter.php (когда параметр "X_REQUESTED_WITH" установлен). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/wp-bannerize/

Решение: Установите последнюю версию 2.8.8 с сайта производителя.

Ссылки: http://wordpress.org/extend/plugins/wp-bannerize/changelog/
http://plugins.trac.wordpress.org/changeset/443872/wp-bannerize/trunk/ajax_sorter.php?old=309456&old_path=wp-bannerize%2Ftrunk%2Fajax_sorter.php
http://unconciousmind.blogspot.com/2011/09/wordpress-wp-bannerize-plugin-287-sql.html

или введите имя

CAPTCHA